package com.dcs.equipment.exception.device;

import lombok.Data;

/**
 * 设备连接异常
 * @author: wangpx
 * @date: 2025-07-22 15:20
 */
@Data
public class DeviceConnectionException extends DeviceException {
    private static final long serialVersionUID = 1L;
    private String deviceAddress;
    private Integer devicePort;

    public DeviceConnectionException() {
        super();
    }

    public DeviceConnectionException(String message) {
        super(message);
    }

    public DeviceConnectionException(String message, Integer code) {
        super(message, code);
    }

    public DeviceConnectionException(String message, String deviceAddress, Integer devicePort) {
        super(message);
        this.deviceAddress = deviceAddress;
        this.devicePort = devicePort;
    }

    public DeviceConnectionException(String message, Integer code, String deviceAddress, Integer devicePort) {
        super(message, code);
        this.deviceAddress = deviceAddress;
        this.devicePort = devicePort;
    }

    public DeviceConnectionException(Exception e) {
        super(e);
    }

    public DeviceConnectionException(Exception e, String deviceAddress, Integer devicePort) {
        super(e);
        this.deviceAddress = deviceAddress;
        this.devicePort = devicePort;
    }
} 